package service

import (
	"context"

	"gitlab.mashplace.com/mashplace/backend/common/api/grpcerr"
	extras "gitlab.mashplace.com/mashplace/backend/extras/api"
)

func (srv *serviceImpl) DocumentTypeCreate(
	ctx context.Context,
	req *extras.DocumentTypeCreateRequest,
) (*extras.DocumentTypeCreateResponse, error) {
	return nil, grpcerr.NotFound
}

func (srv *serviceImpl) DocumentTypeUpdate(
	ctx context.Context,
	req *extras.DocumentTypeUpdateRequest,
) (resp *extras.DocumentTypeUpdateResponse, err error) {
	return nil, grpcerr.NotFound
}

func (srv *serviceImpl) DocumentTypeGet(
	ctx context.Context,
	req *extras.DocumentTypeGetRequest,
) (*extras.DocumentTypeGetResponse, error) {
	return nil, grpcerr.NotFound
}

func (srv *serviceImpl) DocumentTypeFilter(
	ctx context.Context,
	req *extras.DocumentTypeFilterRequest,
) (*extras.DocumentTypeFilterResponse, error) {
	return nil, grpcerr.NotFound
}

func (srv *serviceImpl) DocumentTypeRemove(
	ctx context.Context,
	req *extras.DocumentTypeRemoveRequest,
) (*extras.DocumentTypeRemoveResponse, error) {
	return nil, grpcerr.NotFound
}
